Bug 840312 - "error: file not found" after booting kernel
"error: file not found" after booting kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-15 13:59 EDT by bob mckay
Modified: 2013-07-31 20:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:45:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description bob mckay 2012-07-15 13:59:25 EDT
Description of problem:
After upgrading F16->F17 using preupgrade, when booting, I get 

error: file not found.

three times after the "Booting 'Fedorea...'" message, then

Loading Fedora...
Loading initial ramdisk ...

Press any key to continue...

Version-Release number of selected component (if applicable):
Preupgrade F16->F17 (exact version not known)

How reproducible:
Reliable (8 systems so far)


Steps to Reproduce:
1. Upgrade F16->F17
2. Reboot
  
Actual results:
Error messages (and delayed boot) as above

Expected results:
No delayed boot

Additional info:
Of course, this looks exactly like bug 810348. However it is not a duplicate. Using preupgrade provides no option to skip bootloader configuration (the reason for the "notabug" resolution of bug 810348). Hence if preupgrade does in fact skip the bootloader configuration, then this is in itself a bug. 

The only thing I can think of that is common to all my systems, and maybe not common to others, is use of separate /usr partitions. The F17 problems with separate /usr may be in play here, in causing preupgrade not to progress normally.
I'm happy to provide any relevant material - I'm just not sure what is relevant (I have to admit I don't really understand the grub2 boot process).
Comment 1 Fedora End Of Life 2013-07-03 18:42:04 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 20:45:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.